function install-telegraf {
        Param(
                [Parameter(Mandatory=$true)] $Hostname,
                $Lagringsplassering = "\\WIN-HOST\Nettverksdelt",
                $DOCKER_API_VERSION = "1.39",
                $DOCKER_HOST = "npipe:////./pipe/docker_engine",
                $TelegrafNedlastingslink = "https://dl.influxdata.com/telegraf/releases/telegraf-1.10.0_windows_amd64.zip",
                $TelegrafZipNavn = "telegraf-1.10.0_windows_amd64.zip"
        )

        Write-Verbose "Henter Telegraf-filer"
        Invoke-WebRequest -Uri $TelegrafNedlastingslink -OutFile $TelegrafZipNavn
        Expand-Archive $TelegrafZipNavn -DestinationPath "C:\" #Filene havner på C:\telegraf\
        Remove-Item $TelegrafZipNavn -Force

        Write-Verbose "Henter Config-fil"
        Set-Location C:\telegraf\
        Copy-Item -Path "$Lagringsplassering\telegraf.conf" -Destination .\telegraf.conf -Force
        (Get-Content .\telegraf.conf).replace("xxxHOSTNAME", $Hostname) | Set-Content .\telegraf.conf -Force

        #Legger til systemvariabler for telegraf
        Write-Output "Installer Telegraf"
        [System.Environment]::SetEnvironmentVariable('DOCKER_API_VERSION', $DOCKER_API_VERSION, [System.EnvironmentVariableTarget]::Machine)
        [System.Environment]::SetEnvironmentVariable('DOCKER_HOST', $DOCKER_HOST, [System.EnvironmentVariableTarget]::Machine)

        .\telegraf.exe --config "c:\telegraf\telegraf.conf" --service install
        net start telegraf


}
